Main Page Class Hierarchy Compound List File List Compound Members File Members

# Aflash Class Reference

`#include <flash.h>`

Inheritance diagram for Aflash::

List of all members.

## Public Methods
virtual ACI * | getCI ()
ADLL | Aflash (char *name, Aobject *l, int x, int y, int w, int h)
virtual ADLL | ~Aflash ()
ADLL void | play (char *filename)
ADLL void | play (class Aresobj *o)
ADLL void | pulse ()
ADLL bool | mouse (int x, int y, int state, int event)
ADLL bool | keyboard (int event, int ascii, int scan)
virtual void | command (char *cmd, char *args)
virtual void | varChange (char *name, char *value)
ADLL class AflashVars * | getVars ()
## Public Attributes
NativePlayerWnd * | pw
int | cursorTimeInterval
int | cursorTime
## Static Public Attributes
ADLL ACI | CI

## Constructor & Destructor Documentation

ADLL Aflash::Aflash | ( | char * | name,
|  | Aobject * | l,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |

virtual ADLL Aflash::~Aflash | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Aflash::command | ( | char * | cmd,
|  | char * | args
| ) | `[inline, virtual]`

virtual ACI* Aflash::getCI | ( |  | ) | `[inline, virtual]`

| Reimplemented from Aobject.

ADLL class AflashVars* Aflash::getVars | ( |  | ) |

ADLL bool Aflash::keyboard | ( | int | event,
|  | int | ascii,
|  | int | scan
| ) |

ADLL bool Aflash::mouse | ( | int | x,
|  | int | y,
|  | int | state,
|  | int | event
| ) | `[virtual]`

| Reimplemented from Aobject.

ADLL void Aflash::play | ( | class Aresobj * | o | ) |

ADLL void Aflash::play | ( | char * | filename | ) |

ADLL void Aflash::pulse | ( |  | ) | `[virtual]`

| Reimplemented from Aobject.

virtual void Aflash::varChange | ( | char * | name,
|  | char * | value
| ) | `[inline, virtual]`

## Member Data Documentation

ADLL ACI Aflash::CI`[static]`

| Reimplemented from Aobject.

int Aflash::cursorTime

int Aflash::cursorTimeInterval

class NativePlayerWnd* Aflash::pw

The documentation for this class was generated from the following file:

- flash.h